> For the complete documentation index, see [llms.txt](https://docs.blockflow.network/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.blockflow.network/use-cases/lido-finance/databases/lidooraclecompleted.md).

# LidoOracleCompleted

This table records completed oracle reports, capturing details like the epoch ID, the beacon balance and number of validators, and the block timestamp and transaction details of the report completion.

### Schema

<table><thead><tr><th width="274">Data Fields</th><th>Description</th></tr></thead><tbody><tr><td>id</td><td>A unique identifier for the completed oracle report</td></tr><tr><td>epoch_id</td><td>A unique identifier for the completed oracle report</td></tr><tr><td>beacon_balance</td><td>A unique identifier for the completed oracle report</td></tr><tr><td>beacon_validators</td><td>The number of Lido validators on the beacon chain.</td></tr><tr><td>block_timestamp</td><td>The timestamp of the block in which the oracle report was completed.</td></tr><tr><td>transaction_hash</td><td>The timestamp of the block in which the oracle report was completed.</td></tr><tr><td>log_index</td><td>The timestamp of the block in which the oracle report was completed.</td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.blockflow.network/use-cases/lido-finance/databases/lidooraclecompleted.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
